uuid: a88d3b3c-63c3-4dac-8796-4cba8a7a8893
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.field_summary
    - field.storage.node.field_tags
    - field.storage.node.field_topics
    - search_api.server.database
    - core.entity_view_mode.node.full
  module:
    - node
    - user
    - search_api
_core:
  default_config_hash: q4urWOU1mmYKKSBzYuwpRBTSIJnFwzapGP4bnCajbFs
id: content
name: 'Drutopia content index'
description: 'Drutopia content index.'
read_only: false
field_settings:
  author:
    label: 'Author name'
    datasource_id: 'entity:node'
    property_path: 'uid:entity:name'
    type: string
    dependencies:
      module:
        - node
        - user
        - user
  changed:
    label: Changed
    datasource_id: 'entity:node'
    property_path: changed
    type: date
    dependencies:
      module:
        - node
  created:
    label: 'Authored on'
    datasource_id: 'entity:node'
    property_path: created
    type: date
    dependencies:
      module:
        - node
  field_summary:
    label: Summary
    datasource_id: 'entity:node'
    property_path: field_summary
    type: text
    dependencies:
      config:
        - field.storage.node.field_summary
  field_tags:
    label: Tags
    datasource_id: 'entity:node'
    property_path: field_tags
    type: integer
    dependencies:
      config:
        - field.storage.node.field_tags
  field_topics:
    label: Topics
    datasource_id: 'entity:node'
    property_path: field_topics
    type: integer
    dependencies:
      config:
        - field.storage.node.field_topics
  node_grants:
    label: 'Node access information'
    property_path: search_api_node_grants
    type: string
    indexed_locked: true
    type_locked: true
    hidden: true
  rendered_item:
    label: 'Rendered item'
    property_path: rendered_item
    type: text
    configuration:
      roles:
        - anonymous
      view_mode:
        'entity:node':
          action: full
          article: full
          blog: full
          campaign: full
          event: full
          page: full
          people: full
          resource: full
  status:
    label: 'Publishing status'
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
  sticky:
    label: 'Sticky at top of lists'
    datasource_id: 'entity:node'
    property_path: sticky
    type: boolean
    dependencies:
      module:
        - node
  title:
    label: Title
    datasource_id: 'entity:node'
    property_path: title
    type: text
    boost: 8.0
    dependencies:
      module:
        - node
  type:
    label: 'Content type'
    datasource_id: 'entity:node'
    property_path: type
    type: string
    dependencies:
      module:
        - node
  uid:
    label: 'Author ID'
    datasource_id: 'entity:node'
    property_path: uid
    type: integer
    indexed_locked: true
    type_locked: true
    dependencies:
      module:
        - node
datasource_settings:
  'entity:node':
    bundles:
      default: true
      selected:
        - landing_page
    languages:
      default: true
      selected: {  }
processor_settings:
  add_url:
    weights:
      preprocess_index: -30
  aggregated_field:
    weights:
      add_properties: 20
  content_access:
    weights:
      preprocess_index: -6
      preprocess_query: -4
  entity_status:
    weights:
      preprocess_index: -10
  html_filter:
    weights:
      preprocess_index: -3
      preprocess_query: -6
    all_fields: false
    fields:
      - field_summary
      - rendered_item
    title: true
    alt: true
    tags:
      b: 2
      h1: 5
      h2: 3
      h3: 2
      string: 2
  ignorecase:
    weights:
      preprocess_index: -5
      preprocess_query: -8
    all_fields: false
    fields:
      - field_summary
      - rendered_item
      - title
  rendered_item:
    weights:
      add_properties: 0
      pre_index_save: -10
  stopwords:
    weights:
      preprocess_index: -5
      preprocess_query: -10
    all_fields: false
    fields:
      - field_summary
      - rendered_item
      - title
    stopwords:
      - a
      - an
      - and
      - are
      - as
      - at
      - be
      - but
      - by
      - for
      - if
      - in
      - into
      - is
      - it
      - 'no'
      - not
      - of
      - 'on'
      - or
      - s
      - such
      - t
      - that
      - the
      - their
      - then
      - there
      - these
      - they
      - this
      - to
      - was
      - will
      - with
  tokenizer:
    weights:
      preprocess_index: -2
      preprocess_query: -5
    all_fields: false
    fields:
      - field_summary
      - rendered_item
      - title
    spaces: ''
    overlap_cjk: 1
    minimum_word_size: '3'
  transliteration:
    weights:
      preprocess_index: -4
      preprocess_query: -7
    all_fields: false
    fields:
      - field_summary
      - rendered_item
      - title
tracker_settings:
  default:
    indexing_order: fifo
options:
  cron_limit: 50
  index_directly: true
  track_changes_in_references: true
server: database
